List private endpoints
curl --request GET \
--url https://nemonist.com/api/v1/private-endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/private-endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/private-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"slug": "<string>",
"name": "<string>",
"base_url": "<string>",
"formats": [
"chat"
],
"declared_zdr": true,
"upstream_model_id": "<string>",
"models": [
"<string>"
],
"status": "draft",
"created_at": "<string>",
"updated_at": "<string>",
"validation": {
"passed": true,
"validated_at": "<string>",
"checks": [
{
"name": "base_url",
"passed": true,
"reason": "invalid_base_url",
"upstream_status": 123,
"upstream_message": "<string>",
"actual_model": "<string>"
}
]
}
}
],
"total_count": 123
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 408,
"message": "Operation timed out. Please try again later."
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Private Endpoints
List private endpoints
Lists the account’s custom endpoints, drafts included. Management key required.
GET
/
private-endpoints
List private endpoints
curl --request GET \
--url https://nemonist.com/api/v1/private-endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://nemonist.com/api/v1/private-endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nemonist.com/api/v1/private-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"workspace_id": "<string>",
"slug": "<string>",
"name": "<string>",
"base_url": "<string>",
"formats": [
"chat"
],
"declared_zdr": true,
"upstream_model_id": "<string>",
"models": [
"<string>"
],
"status": "draft",
"created_at": "<string>",
"updated_at": "<string>",
"validation": {
"passed": true,
"validated_at": "<string>",
"checks": [
{
"name": "base_url",
"passed": true,
"reason": "invalid_base_url",
"upstream_status": 123,
"upstream_message": "<string>",
"actual_model": "<string>"
}
]
}
}
],
"total_count": 123
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 403,
"message": "Only management keys can perform this operation"
}
}{
"error": {
"code": 408,
"message": "Operation timed out. Please try again later."
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}